Subject: [ko-dev] Added new DOLFIN mesh to Ko conversion tool. Initial version of DOLFIN [...]

From: [email-masked]
Date: Thu, 21 Oct 2004 22:28:22 +0200

Commit from johanjan (2004-10-21 22:28 CEST)
--------------------

Added new DOLFIN mesh to Ko conversion tool. Initial version of DOLFIN
mesh generator.

  ko  Makefile.in                                               1.11
  ko  aclocal.m4                                                1.9
  ko  configure                                                 1.22
  ko  configure.in                                              1.20
  ko  data/Makefile.in                                          1.5
  ko  demo/Makefile.in                                          1.5
  ko  demo/parser/Makefile.in                                   1.6
  ko  demo/simulator/Makefile.in                                1.6
  ko  parser/Makefile.in                                        1.6
  ko  physical/Makefile.in                                      1.7
  ko  pre/Makefile.in                                           1.5
  ko  simulator/Makefile.in                                     1.5
  ko  test/Makefile.in                                          1.8
  ko  test/bench/Makefile.in                                    1.5
  ko  test/bench/ko/Makefile.in                                 1.5
  ko  test/interface/Makefile.in                                1.5
  ko  test/interface/ko/Makefile.in                             1.5
  ko  test/mono-stiff/Makefile.in                               1.5
  ko  test/mono-stiff/ko/Makefile.in                            1.5
  ko  test/multi-nonstiff/Makefile.in                           1.6
  ko  test/multi-nonstiff/ko/Makefile.in                        1.6
  ko  test/multi-stiff/Makefile.in                              1.6
  ko  test/multi-stiff/ko/Makefile.in                           1.6
  ko  test/performance/Makefile.in                              1.6
  ko  test/performance/nonstiff/Makefile.in                     1.3
  ko  test/performance/stabilization-nonstationary/Makefile.in  1.3
  ko  test/performance/stabilization-stationary/Makefile.in     1.2
  ko  test/performance/stiff/Makefile.in                        1.3
  ko  util/Makefile.am                                          1.7
  ko  util/Makefile.in                                          1.8
  ko  util/encode/Makefile.in                                   1.5
+ ko  util/filler/GeometryMesher.cpp                            1.1
  ko  util/filler/Makefile.am                                   1.4
  ko  util/filler/Makefile.in                                   1.6
  ko  util/filler/filler.cpp                                    1.2
+ ko  util/filler/meshgen.cpp                                   1.1
+ ko  util/filler/ko/GeometryMesher.hpp                         1.1
  ko  util/genshape/Makefile.am                                 1.3
  ko  util/genshape/Makefile.in                                 1.6
+ ko  util/genshape/genmesh.cpp                                 1.1
+ ko  util/mesh2phys/Makefile.am                                1.1
+ ko  util/mesh2phys/Makefile.in                                1.1
+ ko  util/mesh2phys/mesh2phys.cpp                              1.1
  ko  util/phys2iv/Makefile.in                                  1.6
  ko  util/phys2iv/PhysicalInventorInterface.cpp                1.2
  ko  util/phys2pov/Makefile.in                                 1.6
  ko  util/phys2pov/phys2pov.cpp                                1.6
  ko  util/render/Makefile.in                                   1.5
  ko  util/simulator/Makefile.in                                1.3
  ko  util/transform/Makefile.in                                1.7

---

From: Anders Logg <[email-masked]>
Date: Thu, 21 Oct 2004 16:08:07 -0500

Did you write a mesh generator? What input does it take? Should it be
placed in Ko or in DOLFIN?

/Anders

On Thu, Oct 21, 2004 at 10:28:22PM +0200, [email-masked] wrote:
> _______________________________________________
> ko-dev mailing list
> [email-masked]
> http://www.fenics.org/cgi-bin/mailman/listinfo/ko-dev
>

---

From: Johan Jansson <[email-masked]>
Date: Thu, 21 Oct 2004 23:18:40 +0200

> placed in Ko or in DOLFIN?

It's not finished yet, but hopefully in a couple of days. It takes as
input Open Inventor (or VRML1.0) files containing closed
surfaces. It's based on the existing generator in Ko (filler), so it
should be at least as capable as it is.

It requires GTS (GNU Triangulated Surface library) as well as Open
Inventor, so I put it in Ko for now. Perhaps it can be moved to DOLFIN
later and the library dependencies can be added to DOLFIN as optional
(like it is in Ko now).

  Johan

---

From: Anders Logg <[email-masked]>
Date: Thu, 21 Oct 2004 16:26:50 -0500

ok. Another option is to wrap Triangle and Tetgen in DOLFIN.
Maybe we could have both.

/Anders

---

From: Johan Jansson <[email-masked]>
Date: Thu, 21 Oct 2004 23:43:12 +0200

> Maybe we could have both.

Yes, or some other generators. Tetgen isn't free software, here's part
of the license:

TetGen License
--------------

The software (TetGen) is licensed under the terms of the  MIT  license
with the following exceptions:

Distribution of  modified  versions  of this code is permissible UNDER
THE CONDITION THAT  THIS CODE AND ANY MODIFICATIONS  MADE TO IT IN THE
SAME SOURCE FILES  tetgen.h AND tetgen.cxx  REMAIN UNDER  COPYRIGHT OF
THE  ORIGINAL AUTHOR,  BOTH  SOURCE AND OBJECT  CODE  ARE MADE  FREELY
AVAILABLE  WITHOUT   CHARGE,   AND  CLEAR   NOTICE  IS  GIVEN  OF  THE 
MODIFICATIONS.

Distribution of this code for  any  commercial purpose  is permissible
ONLY BY DIRECT ARRANGEMENT WITH THE COPYRIGHT OWNER.

The full  license text is reproduced below.

This means that TetGen is no free software, but for private, research,
and  educational purposes it  can be  used at  absolutely no  cost and
without further arrangements.

  Johan

---

From: Anders Logg <[email-masked]>
Date: Thu, 21 Oct 2004 16:47:52 -0500

ok, I didn't know that. Seems we have to look for an alternative.

One option would be gmsh which is already available within Debian.
See

    http://www.geuz.org/gmsh/

/Anders